curl --request PATCH \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounting": {
"ledgerAccountIds": [
"<string>"
],
"taxIds": [
"<string>"
]
},
"allowPurchaseOrderAutolinking": true,
"currency": "<string>",
"documentIds": {
"documentTypePrefix": "<string>",
"includeDate": true,
"minDigits": 123,
"nextNumber": 123,
"prefix": "<string>",
"separator": "<string>"
},
"documentRendering": {
"creditNote": null,
"displayEntityBankAccount": true,
"displayLineItems": true,
"invoice": null,
"lineItems": null,
"quote": null
},
"generatePaidInvoicePdf": true,
"language": "<string>",
"mail": {
"replyTo": "<string>"
},
"payablesOcrAutoTagging": [
{
"enabled": true,
"keywords": [
"<string>"
],
"tagId": "<string>"
}
],
"payablesSkipApprovalFlow": true,
"paymentPriority": "<string>",
"quoteSignatureRequired": true,
"receivableEditFlow": "<string>",
"reminder": {
"enabled": true
},
"vatInclusiveDiscountMode": "<string>",
"vatMode": "<string>"
}
'{
"accounting": {
"ledgerAccountIds": [
"<string>"
],
"taxIds": [
"<string>"
]
},
"allowPurchaseOrderAutolinking": true,
"currency": "<string>",
"documentIds": {
"documentTypePrefix": "<string>",
"includeDate": true,
"minDigits": 123,
"nextNumber": 123,
"prefix": "<string>",
"separator": "<string>"
},
"documentRendering": {
"creditNote": null,
"displayEntityBankAccount": true,
"displayLineItems": true,
"invoice": null,
"lineItems": null,
"quote": null
},
"generatePaidInvoicePdf": true,
"language": "<string>",
"mail": {
"replyTo": "<string>"
},
"payablesOcrAutoTagging": [
{
"enabled": true,
"keywords": [
"<string>"
],
"tagId": "<string>"
}
],
"payablesSkipApprovalFlow": true,
"paymentPriority": "<string>",
"quoteSignatureRequired": true,
"receivableEditFlow": "<string>",
"reminder": {
"enabled": true
},
"vatInclusiveDiscountMode": "<string>",
"vatMode": "<string>"
}Requires the org:write:all scope.
Token types: APP, USER | Required scopes: org:write:all
curl --request PATCH \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounting": {
"ledgerAccountIds": [
"<string>"
],
"taxIds": [
"<string>"
]
},
"allowPurchaseOrderAutolinking": true,
"currency": "<string>",
"documentIds": {
"documentTypePrefix": "<string>",
"includeDate": true,
"minDigits": 123,
"nextNumber": 123,
"prefix": "<string>",
"separator": "<string>"
},
"documentRendering": {
"creditNote": null,
"displayEntityBankAccount": true,
"displayLineItems": true,
"invoice": null,
"lineItems": null,
"quote": null
},
"generatePaidInvoicePdf": true,
"language": "<string>",
"mail": {
"replyTo": "<string>"
},
"payablesOcrAutoTagging": [
{
"enabled": true,
"keywords": [
"<string>"
],
"tagId": "<string>"
}
],
"payablesSkipApprovalFlow": true,
"paymentPriority": "<string>",
"quoteSignatureRequired": true,
"receivableEditFlow": "<string>",
"reminder": {
"enabled": true
},
"vatInclusiveDiscountMode": "<string>",
"vatMode": "<string>"
}
'{
"accounting": {
"ledgerAccountIds": [
"<string>"
],
"taxIds": [
"<string>"
]
},
"allowPurchaseOrderAutolinking": true,
"currency": "<string>",
"documentIds": {
"documentTypePrefix": "<string>",
"includeDate": true,
"minDigits": 123,
"nextNumber": 123,
"prefix": "<string>",
"separator": "<string>"
},
"documentRendering": {
"creditNote": null,
"displayEntityBankAccount": true,
"displayLineItems": true,
"invoice": null,
"lineItems": null,
"quote": null
},
"generatePaidInvoicePdf": true,
"language": "<string>",
"mail": {
"replyTo": "<string>"
},
"payablesOcrAutoTagging": [
{
"enabled": true,
"keywords": [
"<string>"
],
"tagId": "<string>"
}
],
"payablesSkipApprovalFlow": true,
"paymentPriority": "<string>",
"quoteSignatureRequired": true,
"receivableEditFlow": "<string>",
"reminder": {
"enabled": true
},
"vatInclusiveDiscountMode": "<string>",
"vatMode": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The organization ID.
Cancellation token.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Returns the updated organization settings.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?